'$$$CRMScript$$$
'GSE rule: rulePreProcessing; GSEVersion: 5.0.0.103
Function rulePreProcessing(ByRef rInputParams)
  PBXScriptOutputTrace "Begin GSE Script (Rule: rulePreProcessing)"
  PBXScriptOutputTrace "GSEVersion: 5.0.0.103"
  Dim szState, retVal, rcDummy, bWasDisconnect, UseExit, bRuleResult
  bRuleResult = False
  szState = "Start0"
  bWasDisconnect = false
  
  Do
    Select Case szState
    
      '////////////////////////
      Case "Start0"
        PBXScriptOutputTrace "  case [Start0]"
        retVal = gseStart()
        Select Case retVal
          Case gseStateStarted
            szState = "SetVariable4"
          Case Else
            PBXScriptOutputTrace "Error: Abnormal case thread"
            Exit Do
        End Select
      
      '////////////////////////
      Case "End1"
        PBXScriptOutputTrace "  case [End1]"
        bRuleResult = True
        Exit Do
      
      '////////////////////////
      Case "Skip2"
        PBXScriptOutputTrace "  case [Skip2]"
        bRuleResult = False
        Exit Do
      
      '////////////////////////
      Case "Disconnect3"
        PBXScriptOutputTrace "  case [Disconnect3]"
        If (Not bWasDisconnect) Then
          szState = "End1"
          bWasDisconnect = true
        Else
          PBXScriptOutputTrace "GSE anti-LOOP script executed"
          bRuleResult = True
          Exit Do
        End If
      
      '////////////////////////
      Case "SetVariable4"
        PBXScriptOutputTrace "  case [SetVariable4]"
        PBXCall.CLIMode = 0
        PBXScriptOutputTrace "exp: " & "PBXCall.CLIMode = 0"
        
        retVal = gseStateSetVariableNext
        CheckIfCallIsDisconnected retVal
        Select Case retVal
          Case gseStateSetVariableNext
            szState = "Skip2"
          Case gseStateDisconnected
            szState = "Disconnect3"
          Case Else
            PBXScriptOutputTrace "Error: Abnormal case thread"
            Exit Do
        End Select
      
      '////////////////////////
      Case Else
        'Something wrong
        Exit Do
    End Select
    
  Loop
  
  
  rulePreProcessing = bRuleResult
  PBXScriptOutputTrace "Rule result: " & bRuleResult
  PBXScriptOutputTrace "End GSE Script (Rule: rulePreProcessing)"
End Function
'' SIG '' Begin Signature
'' SIG '' SUNNLHFQKIPMDJMMJITMSKOSPPULMXVVJWNNJVLIITKECUHISXAKNQGYKLOL
'' SIG '' DOXXSCNZRJWRGMTTPXMAMKTIKLLDYRYMUTTDETFMODCKCCHAEFZONEZIIKHQ
'' SIG '' WOCLUYDJNBBCHOTJELLPXIMOMZRAPHCVSNSRWPEJAXNOHNMYAUROHGIZLMNL
'' SIG '' YSLXIMLAATDYQKRFRHKMAAMTFJAWOQNZVOKTLPZYWNSOLZNWJZMECKMIAPHY
'' SIG '' CMEQLJYBKQHMPMNOKUMDQVXNFJSMAKDFFYEZAIYCLTNVJKIJNEXOWGZJWLMP
'' SIG '' XNXLLGYQKEPYESTFRPZFJLMLYHODPFOKNZYAUVTYPZLSLEQLNJOOIGJPFLDO
'' SIG '' KMBKZLXBZMVDPJIGAQBYOPPLNHPMRNYOPLJPCKWCEMDZAMEHPCYYNMXBFFYP
'' SIG '' FJYVVVOOECRTOJDEZQWLOJZNMPRWMZOGWJTJKLBKSXEPHQPARZAPUFKBRYGY
'' SIG '' SJYJGXQXZOOOKIMTOLLTXVGXMKYOZVJBMQCKOKAUDCQIXNPNCKXMRXYMYDJM
'' SIG '' OLBWYGRFECOMLRJACSRNUNDSPJKOAKMZKOBOVWFLGLCWZKEWOLBADMKIWLOR
'' SIG '' MMAQILVWKCEJNDMADOWSHRUCVOXBRMCOKCZIHVTNIMUSWUKDRISSXDXKZZZO
'' SIG '' JJIOAMLMJFRMHRMFNADTVLMXBPEVRENLIFZAVNVMGHFDKMOWHGYLZODHMNLG
'' SIG '' QNHLMMNGRGBODVJVEUNYGDQGBWXLPRFRUZIWFMGMKGMYKBNKVKPYKSMSCEOE
'' SIG '' AEIKUWWZOOVJEAJMUIZGUERDHMRSOXBEWNLPYEZPKGWLASXQMABPKOPKLCPK
'' SIG '' WGXISCULHFKIMKQQOAGILQFULMSUVZBJWCOKXBSOXTMLPRVTYOFPESVFODFG
'' SIG '' FSRCYPXULTWORGVKMEKYAIUSQTWVDCCWNLXPDLGUTMRPBXOEFSNCSKAIQOOG
'' SIG '' PPVKVXSCKGZYDKOMOAFKKXHTIKSQFEEQECOKYZZLKIOLAUEZTJVKTKMNHUCA
'' SIG '' IXQI
'' SIG '' End Signature